Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.policy.entry
Class KeystoreEntry

    java.lang.Object
      org.eclipse.jetty.policy.entry.AbstractEntry
          org.eclipse.jetty.policy.entry.KeystoreEntry

    public class KeystoreEntry

extends AbstractEntry

Constructor Summary
`KeystoreEntry()`

Method Summary
`void` | `expand(PolicyContext context)`
`java.lang.String` | `getType()`
`java.lang.String` | `getUrl()`
`void` | `setType(java.lang.String type)`
`void` | `setUrl(java.lang.String url)`
`java.security.KeyStore` | `toKeyStore()`

Methods inherited from class org.eclipse.jetty.policy.entry.AbstractEntry
`isDirty, isExpanded, setDirty, setExpanded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeystoreEntry

    public KeystoreEntry()

Method Detail

### toKeyStore

    public java.security.KeyStore toKeyStore()
                                      throws PolicyException

  Throws:
    `PolicyException`

### expand

    public void expand(PolicyContext context)
                throws PolicyException

  Specified by:
    `expand` in class `AbstractEntry`
  Throws:
    `PolicyException`

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String url)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.